# -*- encoding: utf-8 -*-
# Learning.py
# Copyright © Masaaki Kawata All rights reserved.

import clr
clr.AddReferenceByPartialName("mscorlib")
clr.AddReferenceByPartialName("System")
clr.AddReferenceByPartialName("System.Windows.Forms")
clr.AddReferenceByPartialName("System.Drawing")
clr.AddReferenceByPartialName("Apricot")

from System.Globalization import CultureInfo
from System.Drawing import Point, Size, SizeF
from System.Windows.Forms import Application, Form, FormStartPosition, FormClosingEventArgs, CloseReason, MenuItem, TextBox, Button, AutoScaleMode
from Apricot import Script

def onStart(s, e):
	global menuItem
	for form in Application.OpenForms:
		if form.ContextMenu != None:
			if False == form.ContextMenu.MenuItems.Contains(menuItem):
				menuItem.Click += onClick
				form.ContextMenu.MenuItems.Add(menuItem)

def onStop(s, e):
	global menuItem
	for form in Application.OpenForms:
		if form.ContextMenu != None:
			if True == form.ContextMenu.MenuItems.Contains(menuItem):
				menuItem.Click -= onClick
				form.ContextMenu.MenuItems.Remove(menuItem)

def onClick(s, e):
	global form
	form.Visible = not form.Visible
	
def onLearn(s, e):
	global textBox
	Script.Instance.Learn(textBox.Text.Trim())

def onFormClosing(s, e):
	if e.CloseReason == CloseReason.UserClosing:
		e.Cancel = True
		s.Visible = False

form = Form()
textBox = TextBox()
button = Button()
form.SuspendLayout()
button.Location = Point(213, 8)
button.Name = "button"
button.Size = Size(75, 23)
button.TabIndex = 0
if CultureInfo.CurrentCulture.Equals(CultureInfo.GetCultureInfo("ja-JP")):
	button.Text = "教える"
else:
	button.Text = "Learn"
button.UseVisualStyleBackColor = True
button.Click += onLearn
textBox.Location = Point(12, 12)
textBox.Name = "textBox"
textBox.Size = Size(195, 19)
textBox.TabIndex = 1
form.AutoScaleDimensions = SizeF(6, 12)
form.AutoScaleMode = AutoScaleMode.Font
form.ClientSize = Size(300, 45)
form.Controls.Add(textBox)
form.Controls.Add(button)
form.Name = "Learn"
if CultureInfo.CurrentCulture.Equals(CultureInfo.GetCultureInfo("ja-JP")):
	form.Text = "言葉を教える"
else:
	form.Text = "Learning"
form.AcceptButton = button
form.ShowInTaskbar = False
form.ShowIcon = False
form.StartPosition = FormStartPosition.CenterScreen
form.FormClosing += onFormClosing
form.ResumeLayout(False)
form.PerformLayout()
menuItem = MenuItem()
if CultureInfo.CurrentCulture.Equals(CultureInfo.GetCultureInfo("ja-JP")):
	menuItem.Text = "言葉を教える"
else:
	menuItem.Text = "Learn"
Script.Instance.Start += onStart
Script.Instance.Stop += onStop