# -*- coding: utf-8 -*-
# Talking.py
# Copyright © Masaaki Kawata All rights reserved.

import clr
clr.AddReferenceByPartialName("mscorlib")
clr.AddReferenceByPartialName("System")
clr.AddReferenceByPartialName("System.Windows.Forms")
clr.AddReferenceByPartialName("Apricot")

from System.Globalization import CultureInfo
from System.Windows.Forms import Application, Form, MenuItem
from Apricot import Script

def onStart(s, e):
	global menuItem
	for form in Application.OpenForms:
		if form.ContextMenu != None:
			if False == form.ContextMenu.MenuItems.Contains(menuItem):
				menuItem.Click += onClick
				form.ContextMenu.MenuItems.Add(menuItem)

def onStop(s, e):
	global menuItem
	for form in Application.OpenForms:
		if form.ContextMenu != None:
			if True == form.ContextMenu.MenuItems.Contains(menuItem):
				menuItem.Click -= onClick
				form.ContextMenu.MenuItems.Remove(menuItem)

def onClick(s, e):
	Script.Instance.Activate()

menuItem = MenuItem()
if CultureInfo.CurrentCulture.Equals(CultureInfo.GetCultureInfo("ja-JP")):
	menuItem.Text = "次のトーク"
else:
	menuItem.Text = "Talk"
Script.Instance.Start += onStart
Script.Instance.Stop += onStop